(defun c:ReporteVertices (/ ent i pt prevPt length cumulativeLength)
  (setq ent (car (entsel "\nSelecciona una LWPOLYLINE: ")))
  (if ent
    (progn
      (setq i 0
            cumulativeLength 0.0)
      (while (<= i (vlax-curve-getEndParam ent))
        (setq pt (vlax-curve-getPointAtParam ent i))
        (princ (strcat "\n" (rtos (car pt) 2 2) ", " (rtos (cadr pt) 2 2) ", " (rtos (caddr pt) 2 2)))
        
        ; Calcula la longitud entre vértices
        (if prevPt
          (setq length (distance prevPt pt))
          (setq length 0.0)
        )
        (setq cumulativeLength (+ cumulativeLength length))
        
        ; Muestra la longitud y la progresiva en el informe
        (princ (strcat ", " (rtos length 2 2) ", " (rtos cumulativeLength 2 2)))
        
        ; Almacena el punto actual para el próximo cálculo
        (setq prevPt pt)
        
        (setq i (+ i 1.0))
      )
    )
    (princ "\nNo se seleccionó ninguna LWPOLYLINE.")
  )
  (princ)
)
